package com.ltgk.common.enums;


import lombok.Getter;

/**
 * 预案类型枚举类
 *
 * @author Qi ChengBin
 * @date 2025/01/17 15:15:13
 */
@Getter
public enum EmPlanTypeEnums {
    ALL(0, "全部"),
    OCEAN_STORM(1, "海上大风"),
    PORT_FIRE(2, "港口火灾"),
    TYPHOON(3, "台风应急"),
    OIL_SPILL(4, "溢油事故");

    private final Integer code;
    private final String desc;

    EmPlanTypeEnums(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }
}
